xmonad-contrib-0.11.3: Third party extensions for xmonad

Copyright | (C) 2007 Andrea Rossato
License | BSD3
Maintainer | andrea.rossato@unibz.it
Stability | unstable
Portability | unportable
Safe Haskell | None
Language | Haskell98

XMonad.Prompt.XMonad

Contents

- Usage

Description

A prompt for running XMonad commands

Synopsis

- xmonadPrompt :: XPConfig -> X ()
- xmonadPromptC :: [(String, X ())] -> XPConfig -> X ()
- data XMonad

# Usage

You can use this module with the following in your `~/.xmonad/xmonad.hs`:

    import XMonad.Prompt
    import XMonad.Prompt.XMonad

in your keybindings add:

      , ((modm .|. controlMask, xK_x), xmonadPrompt defaultXPConfig)

For detailed instruction on editing the key binding see XMonad.Doc.Extending.

xmonadPrompt :: XPConfig -> X ()

xmonadPromptC :: [(String, X ())] -> XPConfig -> X ()

An xmonad prompt with a custom command list

data XMonad

Instances

XPrompt XMonad |